# Contribution Guidelines
**All people are very much welcome to contribute to code, documentation, testing and suggestions.**

`psycho` is a beginner-friendly package. Even if you're new to all this open-source way of life, new to coding and submitting pull requests (PRs), we encourage you to try. You can submit some recommendations in the [issues](https://github.com/neuropsychology/psycho.R/issues) or start coding a function or adding some parameters, fixing a bug or just rewriting a bit so it is more clear, more documented or understandable. Then, do not hesitate to sumbit your changes. We will work together to integrate them :)

## Code
- Authors of code contribution will be added within the [**authors**](https://github.com/neuropsychology/psycho.R/blob/master/DESCRIPTION) section within the package description.
- Please document and comment your code, so that the purpose of each step (or code line) is stated in a clear and understandable way.
- Before submitting a change, please use [**styler**](https://github.com/r-lib/styler) to nicely format your code.
- Before you start to code, make sure you're on the "dev" branch. First of all, you have access to the newest changes (and will not change something already changed) and your PR will be merged into the dev branch, which is safer.